Skip to content

Update Workspace Members

Update members belonging to your workspace.

The edit members endpoint allows you to update existing members in your workspace. This endpoint is only available if your workpsace has been configured to allow member editing.

This endpoint uses the PATCH HTTP method. The request body should contain a JSON object with the properties you wish to update.

Endpoint

MethodUrl
PATCH/v1.0/members/{memberId}

Request Parameters

email
•
string

The member's unique email.

external_id
•
string

The member's external ID. This is their unique identifier in your system.

given_name
•
string

The member's given name. This is their first name.

family_name
•
string

The member's family name. This is their surname.

phone_number
•
string

The member's phone number.

Sample Request

bash
Copied
1curl -X PATCH 'https://api.worklayer.com/v1.0/members/{memberId}' \
2-H 'Authorization: Bearer {token}' \
3-d '{ "email": "ironman@stark.com" }'

Response

An instance of member resource.

Sample Response

json
Copied
1{
2 "email": "ironman@stark.com",
3 "user_id": "a6e5ea2f-7d96-4852-9f46-2383dfd572f7",
4 "create_time": "2022-04-11T15:18:00.701Z",
5 "update_time": "2022-04-11T15:18:00.701Z"
6}

Errors

  1. Forbidden: API Client cannot edit members.
  2. Unauthorized: API Client does not have valid credentials.
  3. BadRequest: Either required properties are missing, or there was a malformed request.
Last updated on December 18, 2025